> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Endpoint details

GET https://iot.telia.lt/api/v1/endpoint/{endpoint_id}

Retrieves endpoint details for a given ID.


Reference: https://docs.iot.telia.lt/developers/api/endpoint/endpoint-by-id-get

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `endpoint_id` (integer, required) — Numeric ID of an endpoint

## Response

### 200

Successfully returned the endpoint details associated with the provided `id`.

- `status` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaStatus, required)
- `service_profile` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaServiceProfile, required)
- `tariff_profile` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaTariffProfile, required)
- `id` (integer, optional)
- `name` (string, optional)
- `tag_assignments` (list of ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaTagAssignmentsItems, optional) — Structured tag data with color information.
- `created` (string, optional)
- `last_updated` (string, optional)
- `ip_address` (string, optional)
- `ip_address_space` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaIpAddressSpace, optional)
- `sim` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSim, optional)
- `imei` (string, optional)
- `imei_lock` (boolean, optional)
- `runtime_data` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaRuntimeData, optional)
- `tags` (string, optional, nullable, deprecated) — Comma-separated list of tags. Deprecated. Use `tag_assignments` instead.

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaStatus

- `id` (integer, required)
- `description` (string, optional)

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaServiceProfile

- `id` (integer, required)
- `name` (string, optional)

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaTariffProfile

- `id` (integer, required)
- `name` (string, optional)

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaTagAssignmentsItems

- `id` (integer, optional) — Tag ID.
- `name` (string, optional) — Tag name.
- `tag_color` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaTagAssignmentsItemsTagColor, optional) — Color assigned to this tag for UI display.

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaIpAddressSpace

- `id` (integer, optional)

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSim

- `id` (integer, required)
- `iccid` (string, optional)
- `iccid_with_luhn` (string, optional) — Integrated Circuit Card Identifier with Luhn check digit (20 digits).
- `eid` (string, optional)
- `msisdn` (string, optional)
- `imsi` (string, optional)
- `status` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSimStatus, optional)
- `model` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSimModel, optional) — The SIM's hardware model. Returned on this single-endpoint response only, and omitted when the SIM has no model.
- `sim_profile_type` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSimSimProfileType, optional) — Type of SIM profile.

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaRuntimeData

- `msc` (string, optional)
- `sgsn` (string, optional)
- `sgsn_ip_address` (string, optional)

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaTagAssignmentsItemsTagColor

Color assigned to this tag for UI display.

- `id` (integer, optional) — Color ID.

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSimStatus

- `id` (integer, required)
- `description` (string, optional)

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSimModel

The SIM's hardware model. Returned on this single-endpoint response only, and omitted when the SIM has no model.

- `id` (integer, optional)
- `description` (string, optional)
- `memory_size` (integer, optional) — Memory size of the SIM. Omitted when unknown.
- `formfactor` (ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSimModelFormfactor, optional) — Physical form factor of the SIM. Omitted when unknown.

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSimSimProfileType

Type of SIM profile.

- `id` (integer, optional) — Profile type ID.
- `description` (string, optional) — Name of the profile type, for example `UICC`.

### ApiV1EndpointEndpointIdGetResponsesContentApplicationJsonSchemaSimModelFormfactor

Physical form factor of the SIM. Omitted when unknown.

- `id` (integer, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "status": {
    "id": 0,
    "description": "Enabled"
  },
  "service_profile": {
    "id": 1,
    "name": "Smart Meter"
  },
  "tariff_profile": {
    "id": 3,
    "name": "Domestic only"
  },
  "id": 1,
  "name": "arduino01",
  "tag_assignments": [
    {
      "id": 1,
      "name": "arduino",
      "tag_color": {
        "id": 3
      }
    },
    {
      "id": 2,
      "name": "meter",
      "tag_color": {
        "id": 5
      }
    },
    {
      "id": 3,
      "name": "temp",
      "tag_color": {
        "id": 7
      }
    }
  ],
  "created": "2019-08-01T15:48:34.000+0000",
  "last_updated": "2020-11-23T15:14:27.000+0000",
  "ip_address": "10.203.23.75",
  "ip_address_space": {
    "id": 2,
    "ip_address_space": "10.203.23.0/24",
    "ip_address_version": 4
  },
  "sim": {
    "id": 788,
    "iccid": "7368267364738297362",
    "iccid_with_luhn": "73682673647382973621",
    "eid": "89049011803455664400046832584675",
    "msisdn": "88563748761",
    "imsi": "901991234567890",
    "status": {
      "id": 1,
      "description": "Activated"
    }
  },
  "imei": "8643456788893212",
  "imei_lock": false,
  "runtime_data": {
    "msc": "491790802121",
    "sgsn": "491752345678",
    "sgsn_ip_address": "82.113.96.21"
  },
  "tags": "arduino, meter, temp",
  "imei_with_luhn": "864345678889324"
}
```

**SDK Code**

```python Endpoint Details
import requests

url = "https://iot.telia.lt/api/v1/endpoint/1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Endpoint Details
const url = 'https://iot.telia.lt/api/v1/endpoint/1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Endpoint Details
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/endpoint/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Endpoint Details
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/endpoint/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Endpoint Details
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/endpoint/1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Endpoint Details
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/endpoint/1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Endpoint Details
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/endpoint/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Endpoint Details
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/endpoint/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```